import request from '@/utils/request'

// 查询年度计划列表
export function listPlan(query) {
  return request({
    url: '/shiftmgr/plan/list',
    method: 'get',
    params: query
  })
}

// 查询年度计划详细
export function getPlan(id) {
  return request({
    url: '/shiftmgr/plan/' + id,
    method: 'get'
  })
}

// 新增年度计划
export function addPlan(data) {
  return request({
    url: '/shiftmgr/plan',
    method: 'post',
    data: data
  })
}

// 修改年度计划
export function updatePlan(data) {
  return request({
    url: '/shiftmgr/plan',
    method: 'put',
    data: data
  })
}

// 删除年度计划
export function delPlan(id) {
  return request({
    url: '/shiftmgr/plan/' + id,
    method: 'delete'
  })
}

// 导出年度计划
export function exportPlan(query) {
  return request({
    url: '/shiftmgr/plan/export',
    method: 'get',
    params: query
  })
}